Create Wallet Deposit Address
curl --request POST \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses \
--header 'Content-Type: application/json' \
--data '
{
"network_id": "ethereum-mainnet"
}
'import requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses"
payload = { "network_id": "ethereum-mainnet" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({network_id: 'ethereum-mainnet'})
};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"account_identifier": "<string>",
"network": {
"id": "<string>",
"type": "<string>"
}
}Wallets
Create Wallet Deposit Address
Creates a new deposit address for a wallet. Only applicable to wallets that support multiple deposit addresses on a given network
POST
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
addresses
Create Wallet Deposit Address
Path Parameters
The ID of the portfolio that owns the wallet
The wallet ID for which to create the deposit address
Body
application/json
The network name and type
Example:
"ethereum-mainnet"
Was this page helpful?
⌘I